ATutor多个跨站脚本攻击(XSS) 漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1110571 漏洞类型 跨站脚本
发布时间 2006-07-06 更新时间 2006-07-20
CVE编号 CVE-2006-3484 CNNVD-ID CNNVD-200607-106
漏洞平台 PHP CVSS评分 2.6
|漏洞来源
https://www.exploit-db.com/exploits/28180
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-200607-106
|漏洞详情
ATutor1.5.3之前版本存在多个跨站脚本攻击(XSS)漏洞。远程攻击者可以借助对(a)admin/create_course.php的(1)show_courses或(2)current_cat参数,对的(b)users/create_course.php的show_courses参数,(3)对(c)documentation/admin/的p参数,(4)对(d)password_reminder.php的forgot参数,(5)对(e)users/browse.php的cat参数,或(6)对admin/fix_content.php的submit参数,注入任意web脚本或HTML。
|漏洞EXP
source: http://www.securityfocus.com/bid/18857/info
    
ATutor is prone to multiple cross-site scripting vulnerabilities. These issues are due to a failure in the application to properly sanitize user-supplied input. 
    
An attacker may leverage any of these issues to have arbitrary script code execute in the browser of an unsuspecting user in the context of the affected site. This may help the attacker steal cookie-based authentication credentials and launch other attacks.
    
Versions 1.5.1 and 1.5.3 RC2 are vulnerable; other versions may also be affected.

http://www.example.com/admin/fix_content.php?submit=Submit">[code]
|参考资料

来源:BID
名称:18857
链接:http://www.securityfocus.com/bid/18857
来源:VUPEN
名称:ADV-2006-2691
链接:http://www.frsirt.com/english/advisories/2006/2691
来源:SECUNIA
名称:20941
链接:http://secunia.com/advisories/20941
来源:OSVDB
名称:27023
链接:http://www.osvdb.org/27023
来源:OSVDB
名称:27021
链接:http://www.osvdb.org/27021
来源:OSVDB
名称:27020
链接:http://www.osvdb.org/27020
来源:www.atutor.ca
链接:http://www.atutor.ca/view/3/8341/1.html
来源:OSVDB
名称:27022
链接:http://www.osvdb.org/27022
来源:OSVDB
名称:27019
链接:http://www.osvdb.org/27019